Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(16)

Issue 1007323003: DNS Prefetch fix: renderer shouldn't send long hostnames to browser. (Closed)

Created:
4 years, 9 months ago by gunsch
Modified:
2 years, 7 months ago
CC:
chromium-reviews, cbentzel+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

DNS Prefetch fix: renderer shouldn't send long hostnames to browser. R=ttuttle@chromium.org BUG=464270 Committed: https://crrev.com/5922e15ca3d5c13d576e5d734c588852b509764d Cr-Commit-Position: refs/heads/master@{#321154}

Patch Set 1 #

Patch Set 2 : explicitly test long string not requested #

Unified diffs Side-by-side diffs Delta from patch set Stats (+28 lines, -4 lines) Patch
M chrome/browser/net/predictor_browsertest.cc View 1 4 chunks +21 lines, -1 line 0 comments Download
M chrome/test/data/predictor/dns_prefetch.html View 1 chunk +1 line, -0 lines 0 comments Download
M components/network_hints/renderer/renderer_dns_prefetch.cc View 1 chunk +6 lines, -3 lines 0 comments Download

Messages

Total messages: 16 (4 generated)
gunsch
4 years, 9 months ago (2015-03-17 00:59:23 UTC) #1
mmenke
Sorry, I'm sick, and looking like I may not be in at all this week. ...
4 years, 9 months ago (2015-03-17 18:57:09 UTC) #2
Deprecated (see juliatuttle)
This looks pretty good. It'd be nice if we could verify that the "good" hostname ...
4 years, 9 months ago (2015-03-17 21:58:47 UTC) #3
gunsch
On 2015/03/17 21:58:47, ttuttle wrote: > This looks pretty good. It'd be nice if we ...
4 years, 9 months ago (2015-03-17 23:18:26 UTC) #4
Deprecated (see juliatuttle)
On 2015/03/17 23:18:26, gunsch wrote: > Well, the test already verifies that the "good" hostname ...
4 years, 9 months ago (2015-03-18 02:35:47 UTC) #6
gunsch
thanks for the review! @mef, can you take a look for chrome/browser/net/ OWNERS?
4 years, 9 months ago (2015-03-18 15:24:05 UTC) #8
mef
lgtm
4 years, 9 months ago (2015-03-18 16:10:05 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1007323003/20001
4 years, 9 months ago (2015-03-18 16:21:20 UTC) #11
commit-bot: I haz the power
Committed patchset #2 (id:20001)
4 years, 9 months ago (2015-03-18 17:14:29 UTC) #12
commit-bot: I haz the power
Patchset 2 (id:??) landed as https://crrev.com/5922e15ca3d5c13d576e5d734c588852b509764d Cr-Commit-Position: refs/heads/master@{#321154}
4 years, 9 months ago (2015-03-18 17:15:17 UTC) #13
deutsch51
JIM CAMERON / JimprinT
4 years, 8 months ago (2015-04-09 09:12:44 UTC) #15
deutsch51
4 years, 8 months ago (2015-04-09 09:12:45 UTC) #16
Message was sent while issue was closed.
JIM CAMERON / JimprinT

Powered by Google App Engine
This is Rietveld 408576698